Mobileread
Cannot remove DRM on Kindle books
#1  embean 02-14-2020, 10:19 AM
I am using a Mac and have Calibre 3.45.2. I have DeDRM tools installed, as well as the KFX Input plugin. I have Kindle for Mac installed. I seem to have tried everything and still cannot remove DRM on Kindle books. Adobe Digital Editions seems to be fine. Am I missing something?
Reply 

#2  DNSB 02-14-2020, 03:00 PM
Check the sticky Dealing with Kindle for PC/Mac 1.19 and KFX in calibre at the top of this page. Then ask yourself "what version of Kindle for Mac am I using?"

You might also want to consider updating your version of calibre.
Reply 

#3  embean 02-14-2020, 03:21 PM
Thanks, I got it to work, and the issue was the Kindle version. What version of Calibre can I safely upgrade to in order to maintain this functionality? My issue with upgrading is that it's pretty much a reinstall every time + applying plugins again (and I am lazy). The last time I upgraded, the plugins did not apply correctly, which is why I've now been neglecting it.
Reply 

#4  BetterRed 02-14-2020, 04:26 PM
Quote embean
Thanks, I got it to work, and the issue was the Kindle version. What version of Calibre can I safely upgrade to in order to maintain this functionality? My issue with upgrading is that it's pretty much a reinstall every time + applying plugins again (and I am lazy). The last time I upgraded, the plugins did not apply correctly, which is why I've now been neglecting it.
There are ~400K active users of Calibre on MacOS. If the problem you describe was wide spread this forum would be flooded with complaints. That it's not suggests the problem is at your end.

See ==>> Usage Statistics for calibre

BR
Reply 

#5  DNSB 02-15-2020, 12:31 AM
Quote embean
Thanks, I got it to work, and the issue was the Kindle version. What version of Calibre can I safely upgrade to in order to maintain this functionality? My issue with upgrading is that it's pretty much a reinstall every time + applying plugins again (and I am lazy). The last time I upgraded, the plugins did not apply correctly, which is why I've now been neglecting it.
If you are using KFX, the current version of calibre you can use is 4.5. 4.6 and later break the DeDRM code. This may be fixed shortly as a new release of DeDRM is somewhat imminent.
Reply 

Today's Posts | Search this Thread | Login | Register